import { BaseEntity, CreateDateColumn, SaveOptions, UpdateDateColumn } from 'typeorm';

export abstract class BaseModel extends BaseEntity {
  @UpdateDateColumn({
    type: 'timestamp',
  })
  timestamp: string;

  @CreateDateColumn({
    type: 'timestamp',
  })
  created_at: string;

  @UpdateDateColumn({
    type: 'timestamp',
  })
  updated_at: string;
}
